From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/hiredis/
Date: Tue, 23 Mar 2021 04:53:22 +0000 (UTC) [thread overview]
Message-ID: <1616474925.6b6515f9da372efc0899614f2d1abcba2382b4bb.sam@gentoo> (raw)
commit: 6b6515f9da372efc0899614f2d1abcba2382b4bb
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 22 22:34:48 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 23 04:48:45 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b6515f9
dev-libs/hiredis: style changes
* Don't quote EAPI
* Use Bash tests, not POSIX
* Define PATCHES in global scope
* sam-style semicolons
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/hiredis/hiredis-0.14.1.ebuild | 20 +++++++++++---------
dev-libs/hiredis/hiredis-1.0.0.ebuild | 27 ++++++++++++++++-----------
2 files changed, 27 insertions(+), 20 deletions(-)
diff --git a/dev-libs/hiredis/hiredis-0.14.1.ebuild b/dev-libs/hiredis/hiredis-0.14.1.ebuild
index d3827b66b40..81bbbb4420c 100644
--- a/dev-libs/hiredis/hiredis-0.14.1.ebuild
+++ b/dev-libs/hiredis/hiredis-0.14.1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="7"
+EAPI=7
inherit toolchain-funcs
@@ -17,11 +17,12 @@ RESTRICT="!test? ( test )"
DEPEND="test? ( dev-db/redis )"
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.13.3-disable-network-tests.patch
+ "${FILESDIR}"/${PN}-0.14.1-honor-AR.patch
+)
+
src_prepare() {
- local PATCHES=(
- "${FILESDIR}"/${PN}-0.13.3-disable-network-tests.patch
- "${FILESDIR}"/${PN}-0.14.1-honor-AR.patch
- )
default
# use GNU ld syntax on Solaris
@@ -58,17 +59,18 @@ src_test() {
_build hiredis-test
- /usr/sbin/redis-server - <<< "${REDIS_TEST_CONFIG}" || die
+ "${EPREFIX}"/usr/sbin/redis-server - <<< "${REDIS_TEST_CONFIG}" || die
./hiredis-test -h 127.0.0.1 -p ${REDIS_PID} -s ${REDIS_SOCK}
local ret=$?
kill "$(<"${REDIS_PID}")" || die
- [ ${ret} != "0" ] && die "tests failed"
+ [[ ${ret} != "0" ]] && die "tests failed"
}
src_install() {
_build PREFIX="${ED}/usr" install
- if ! use static-libs; then
+
+ if ! use static-libs ; then
find "${ED}" -name '*.a' -delete || die
fi
diff --git a/dev-libs/hiredis/hiredis-1.0.0.ebuild b/dev-libs/hiredis/hiredis-1.0.0.ebuild
index 20d56c4f2eb..b9046749771 100644
--- a/dev-libs/hiredis/hiredis-1.0.0.ebuild
+++ b/dev-libs/hiredis/hiredis-1.0.0.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="7"
+EAPI=7
inherit toolchain-funcs
@@ -17,12 +17,14 @@ RESTRICT="!test? ( test )"
DEPEND="
ssl? ( dev-libs/openssl )
- test? ( dev-db/redis )"
+ test? ( dev-db/redis )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.0.0-disable-network-tests.patch
+)
src_prepare() {
- local PATCHES=(
- "${FILESDIR}/${PN}-1.0.0-disable-network-tests.patch"
- )
default
# use GNU ld syntax on Solaris
@@ -52,25 +54,28 @@ src_test() {
local REDIS_PID="${T}"/hiredis.pid
local REDIS_SOCK="${T}"/hiredis.sock
local REDIS_PORT=56379
- local REDIS_TEST_CONFIG="daemonize yes
+ local REDIS_TEST_CONFIG="
+ daemonize yes
pidfile ${REDIS_PID}
port ${REDIS_PORT}
bind 127.0.0.1
- unixsocket //${REDIS_SOCK}"
+ unixsocket //${REDIS_SOCK}
+ "
_build hiredis-test
- /usr/sbin/redis-server - <<< "${REDIS_TEST_CONFIG}" || die
+ "${EPREFIX}"/usr/sbin/redis-server - <<< "${REDIS_TEST_CONFIG}" || die
./hiredis-test -h 127.0.0.1 -p ${REDIS_PID} -s ${REDIS_SOCK}
local ret=$?
kill "$(<"${REDIS_PID}")" || die
- [ ${ret} != "0" ] && die "tests failed"
+ [[ ${ret} != "0" ]] && die "tests failed"
}
src_install() {
_build PREFIX="${ED}/usr" install
- if ! use static-libs; then
+
+ if ! use static-libs ; then
find "${ED}" -name '*.a' -delete || die
fi
next reply other threads:[~2021-03-23 4:53 UTC|newest]
Thread overview: 75+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-23 4:53 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-29 3:51 [gentoo-commits] repo/gentoo:master commit in: dev-libs/hiredis/ Sam James
2024-08-29 3:15 Sam James
2024-05-19 23:10 Ionen Wolkens
2024-05-17 15:05 Arthur Zamarin
2024-04-20 11:23 Michał Górny
2024-04-19 11:43 Sam James
2024-04-19 10:43 Sam James
2024-04-19 9:57 Petr Vaněk
2024-04-19 9:37 Petr Vaněk
2024-04-19 9:37 Petr Vaněk
2023-08-17 6:22 Sam James
2023-03-04 7:51 Arthur Zamarin
2022-11-29 18:06 WANG Xuerui
2022-11-17 1:37 Sam James
2022-11-17 1:16 Sam James
2022-11-17 1:13 Sam James
2022-11-17 1:13 Sam James
2022-03-16 2:23 Sam James
2022-01-01 9:38 Sam James
2021-11-19 6:46 Arthur Zamarin
2021-11-19 6:46 Arthur Zamarin
2021-10-31 9:42 Sam James
2021-10-31 9:42 Sam James
2021-10-31 3:09 Sam James
2021-10-31 3:09 Sam James
2021-10-27 3:36 Sam James
2021-10-26 21:33 Sven Wegener
2021-10-26 13:30 Agostino Sarubbo
2021-10-26 13:28 Agostino Sarubbo
2021-10-26 3:16 Sam James
2021-10-26 3:16 Sam James
2021-10-26 3:16 Sam James
2021-10-05 4:09 Sam James
2021-07-26 15:45 Marek Szuba
2021-06-21 10:37 Sam James
2021-02-05 6:11 Sam James
2020-12-18 14:23 Sam James
2020-11-25 23:25 Sergei Trofimovich
2020-11-13 23:33 Sam James
2020-11-07 20:56 Sam James
2020-11-07 20:56 Sam James
2020-11-07 20:34 Sergei Trofimovich
2020-11-07 20:22 Sergei Trofimovich
2020-11-07 20:10 Sergei Trofimovich
2020-10-26 16:37 Thomas Deutschmann
2020-10-12 12:39 Joonas Niilola
2020-04-12 6:29 Joonas Niilola
2020-04-10 23:00 Thomas Deutschmann
2020-04-10 22:12 Thomas Deutschmann
2020-04-01 22:35 Mart Raudsepp
2020-03-23 18:07 Sergei Trofimovich
2020-03-23 11:04 Agostino Sarubbo
2020-03-22 10:43 Agostino Sarubbo
2020-03-22 10:37 Agostino Sarubbo
2020-03-22 10:30 Agostino Sarubbo
2020-03-21 16:25 Agostino Sarubbo
2020-03-21 16:20 Agostino Sarubbo
2020-03-21 16:19 Agostino Sarubbo
2020-03-20 20:23 Thomas Deutschmann
2018-10-26 9:50 Michał Górny
2018-06-08 11:10 Mikle Kolyada
2017-03-01 10:43 Michael Weber
2017-02-24 23:57 Michael Palimaka
2017-02-24 17:55 Markus Meier
2017-02-16 17:26 Agostino Sarubbo
2017-02-15 23:14 Michael Weber
2017-01-22 9:30 Tobias Klausmann
2017-01-14 12:26 Jeroen Roovers
2017-01-06 3:29 Aaron Bauman
2017-01-02 16:19 Pacho Ramos
2016-10-03 14:55 Jeroen Roovers
2016-10-03 12:15 Tobias Klausmann
2016-08-11 17:23 Michael Palimaka
2016-08-06 12:47 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1616474925.6b6515f9da372efc0899614f2d1abcba2382b4bb.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox